Package org.codehaus.groovy.ast.expr

## Class AnnotationConstantExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.ConstantExpression
        - - org.codehaus.groovy.ast.expr.AnnotationConstantExpression

-     public class AnnotationConstantExpression
      extends ConstantExpression

  Represents an annotation "constant" that may appear in annotation attributes (mainly used as a marker).

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.ast.expr.ConstantExpression

      `EMPTY_EXPRESSION, EMPTY_STRING, FALSE, NULL, PRIM_FALSE, PRIM_TRUE, TRUE, VOID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnnotationConstantExpression​(AnnotationNode node)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.ConstantExpression

      `getConstantName, getText, getValue, isEmptyStringExpression, isFalseExpression, isNullExpression, isTrueExpression, setConstantName, transformExpression`

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationConstantExpression

          public AnnotationConstantExpression​(AnnotationNode node)

  - ### Method Detail

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ConstantExpression`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ConstantExpression`